{
  "name": "Ringspace Extension",
  "description": "Monitors and collects webrings.json data",
  "version": "0.1",
  "manifest_version": 3,
  "action": {
    "default_popup": "popup/popup.html",
    "default_icon": "img/icon-idle.png"
  },
  "background": {
    "service_worker": "scripts/background.js",
    "scripts": ["scripts/background.js"]
  },
  "content_scripts": [{
    "matches": ["<all_urls>"],
    "js": ["scripts/content.js"],
    "run_at": "document_idle"
  }],
  "permissions": [
    "tabs",
    "activeTab",
    "scripting",
    "webNavigation"
  ],
  "host_permissions": [
    "<all_urls>"
  ],
  "browser_specific_settings": {
    "gecko": {
      "id": "ringspace@taggartinstitute.org",
      "strict_min_version": "58.0",
      "data_collection_permissions": {
        "required": ["none"]
      }
    }
  }
}
